Bank Details
Get bank details
Get Bank Details for onramp transaction.
POST https://api.onramp.money/onramp/api/v2/whiteLabel/bank/bankDetails
Request Body
customerId*
String
Unique User Id received from /kyc/url
fromCurrency*
String
Base currency of the trading pair E.g. of fromCurrency:
INR | TRY | AED | MXN | IDR | EUR
transactionId*
String
unique transactionId of the onramp transaction if required in this case
paymentMethodType
String
payment Method Type for Onramp Transaction.
Mandatory for the EURO paymentLink flow
E.g. of payment method Type:
For INR -> UPI, IMPS
For TRY -> TRY_BANK_TRANSFER
For AED -> AED-BANK-TRANSFER
successRedirectUrl
String
Mandatory for the EURO paymentLink flow
failureRedirectUrl
String
Mandatory for the EURO paymentLink flow
status -> 0 is for unsuccessful request, 1 is for a successful one.
data -> this will contains the bank details according to fromCurrency.
Last updated